Skip to main content
GET
/
v1
/
runs
List runs
curl --request GET \
  --url https://app.galaxy.ai/api/v1/runs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "workflowId": "<string>",
      "workflowName": "<string>",
      "status": "QUEUED",
      "mode": "<string>",
      "startedAt": "<string>",
      "finishedAt": "<string>",
      "createdAt": "<string>",
      "error": "<string>",
      "estimatedCredits": 123,
      "actualCredits": 123,
      "nodeRunCount": 123,
      "singleNodeId": "<string>",
      "source": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workflowId
string
Minimum string length: 1
status
enum<string>
Available options:
QUEUED,
RUNNING,
COMPLETED,
FAILED,
CANCELED
cursor
string
Minimum string length: 1
limit
integer
default:20
Required range: 1 <= x <= 50
Required string length: 1 - 200
page
integer
Required range: 1 <= x <= 9007199254740991
pageSize
integer
Required range: 1 <= x <= 50

Response

Successful response

items
object[]
required
nextCursor
string | null
required